> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List WorkflowTaskSchema items

GET https://{tenant_name}.benchling.com/api/v3/workflow-task-schema/items

List WorkflowTaskSchema items.

Reference: https://docs.benchling.com/docs/api/benchling-api/workflow-task-schema/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `archiveReason.anyOf` (string, optional) — Restricts items to those with any of the specified archive reasons. Use "NOT_ARCHIVED" to filter for unarchived items. Use "ANY_ARCHIVED" to filter for archived items regardless of reason. Use "ANY_ARCHIVED_OR_NOT_ARCHIVED" to return items for both archived and unarchived. Comma-separated list.
- `archived.anyOf` (boolean, optional) — If true, returns archived items. If false, returns unarchived items. If both true and false, returns archived and unarchived items. Comma-separated list.
- `createdAt.gt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.
- `createdAt.gte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or after the specified time. e.g. >= 2017-04-30.
- `createdAt.lt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. \< 2017-04-30.
- `createdAt.lte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or before the specified time. e.g. \<= 2017-04-30.
- `id.anyOf` (string, optional) — Restricts results to those matching any of the specified IDs. Comma-separated list.
- `modifiedAt.gt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified after the specified time. e.g. > 2017-04-30.
- `modifiedAt.gte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or after the specified time. e.g. >= 2017-04-30.
- `modifiedAt.lt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified before the specified time. e.g. \< 2017-04-30.
- `modifiedAt.lte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or before the specified time. e.g. \<= 2017-04-30.
- `nextToken` (string, optional) — Token for pagination
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
- `pageSize` (integer, optional) — Number of results to return. Defaults to 50, maximum of 100.
- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `sort` (enum, optional, default: modifiedAt:desc) — Method by which to order results. Valid sorts are: createdAt (created time, oldest first) and modifiedAt (modified time, oldest first). Use :asc or :desc to specify ascending or descending order. Default is modifiedAt:desc.
  - Allowed values: `createdAt:asc`, `createdAt:desc`, `modifiedAt:asc`, `modifiedAt:desc`

## Response

### 200

OK

- `items` (list of WorkflowTaskSchema, optional)
- `nextToken` (string, optional)

## Errors

### 400 Workflow Task Schema List Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Workflow Task Schema List Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Workflow Task Schema List Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Workflow Task Schema List Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Workflow Task Schema List Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### WorkflowTaskSchema

A configuration template that defines the structure and behavior of `WorkflowTask` instances. Each schema specifies an `executionType` (direct, entry, or flowchart) and custom `fieldDefinitions` for task data. Schemas belong to an `Organization` and can optionally reference an `entryTemplate` for entry-based execution. The `prefix` and `taskGroupPrefix` fields define the human-readable ID format for tasks and task groups. Default folders can be configured via `defaultCreationFolder` and `defaultEntryExecutionFolder`. Schemas support `responsibleParties` for default assignment. The associated `workflowOutputSchema` defines the structure of outputs produced by tasks of this schema.

- `__typename` (string, optional)
- `archiveReason` (string, optional, nullable)
- `archived` (boolean, optional)
- `canOnlyBePartOfFlowchart` (boolean, optional)
- `canSetAssigneeOnTaskCreation` (boolean, optional) — Whether or not tasks of this schema can be created with a non-null assignee.
- `createdAt` (string, optional)
- `defaultCreationFolder` (FolderRef, optional, nullable) — ID of the default folder for creating workflow task groups
- `defaultEntryExecutionFolder` (FolderRef, optional, nullable) — ID of the default folder for workflow task execution entries
- `entryTemplate` (EntryTemplateRef, optional, nullable) — The ID of the template of the entries tasks of this schema will be executed into.
- `executionType` (enum, optional) — The method by which instances of this schema are executed
  - Allowed values: `DIRECT`, `ENTRY`, `FLOWCHART`, `PROCEDURE`, `PROCEDURE_METHOD`, `PROCEDURE_STEP`, `PIPELINE`
- `fieldDefinitions` (string, optional)
- `id` (string, optional)
- `isPropagateWatchersEnabled` (boolean, optional)
- `modifiedAt` (string, optional)
- `name` (string, optional)
- `organization` (OrganizationRef, optional) — The organization that owns the schema.
- `prefix` (string, optional) — The prefix for the displayId of tasks of this schema.
- `systemName` (string, optional) — A unique, stable identifier for this schema used for programmatic access and integrations.
- `taskGroupInstructions` (string, optional, nullable) — The instructions for task groups of this schema
- `taskGroupPrefix` (string, optional) — The prefix for the displayId of task groups containing tasks of this schema
- `validationRules` (string, optional)
- `workflowOutputSchema` (WorkflowOutputSchemaRef, optional, nullable)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

### FolderRef

- `__typename` (string, optional)
- `id` (string, optional)

### EntryTemplateRef

- `__typename` (string, optional)
- `id` (string, optional)

### OrganizationRef

- `__typename` (string, optional)
- `id` (string, optional)

### WorkflowOutputSchemaRef

- `__typename` (string, optional)
- `id` (string, optional)

## Examples

**Response**

```json
{
  "items": [
    {
      "__typename": "__typename",
      "archiveReason": "archiveReason",
      "archived": true,
      "canOnlyBePartOfFlowchart": true,
      "canSetAssigneeOnTaskCreation": true,
      "createdAt": "createdAt",
      "executionType": "DIRECT",
      "fieldDefinitions": "fieldDefinitions",
      "id": "id",
      "isPropagateWatchersEnabled": true,
      "modifiedAt": "modifiedAt",
      "name": "name",
      "prefix": "prefix",
      "systemName": "systemName",
      "taskGroupInstructions": "taskGroupInstructions",
      "taskGroupPrefix": "taskGroupPrefix",
      "validationRules": "validationRules"
    }
  ],
  "nextToken": "nextToken"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/workflow-task-schema/items"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/workflow-task-schema/items';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```